Create a medication safety assessment
curl --request POST \
--url https://cds.marmar.life/v1/assessments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient": {
"patientId": null,
"externalId": null,
"demographics": null,
"reproductiveStatus": null,
"hormonalTherapies": null
},
"medications": [
{
"name": "<string>",
"dosage": {
"amount": 123,
"unit": null,
"frequency": "<string>"
},
"form": null,
"route": null,
"status": null,
"providedRxNormCode": null,
"providedDrugbankId": null,
"source": null,
"startDate": null,
"endDate": null
}
],
"conditions": null,
"allergies": null,
"vitals": null,
"labs": null,
"socialHistory": null
}
'import requests
url = "https://cds.marmar.life/v1/assessments"
payload = {
"patient": {
"patientId": None,
"externalId": None,
"demographics": None,
"reproductiveStatus": None,
"hormonalTherapies": None
},
"medications": [
{
"name": "<string>",
"dosage": {
"amount": 123,
"unit": None,
"frequency": "<string>"
},
"form": None,
"route": None,
"status": None,
"providedRxNormCode": None,
"providedDrugbankId": None,
"source": None,
"startDate": None,
"endDate": None
}
],
"conditions": None,
"allergies": None,
"vitals": None,
"labs": None,
"socialHistory": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient: {
patientId: null,
externalId: null,
demographics: null,
reproductiveStatus: null,
hormonalTherapies: null
},
medications: [
{
name: '<string>',
dosage: {amount: 123, unit: null, frequency: '<string>'},
form: null,
route: null,
status: null,
providedRxNormCode: null,
providedDrugbankId: null,
source: null,
startDate: null,
endDate: null
}
],
conditions: null,
allergies: null,
vitals: null,
labs: null,
socialHistory: null
})
};
fetch('https://cds.marmar.life/v1/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assessmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}Assessments
Create a medication safety assessment
POST
/
v1
/
assessments
Create a medication safety assessment
Authorizations
API key obtained from the Tenant Dashboard. Use as Authorization: Bearer YOUR_API_KEY
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
⌘I